# fedi-emoji-pack

This tool allows you to download custom emojis from Mastodon, Pleroma, Misskey etc. and organize them into Emoji Packs that can be used with Pleroma.

## Requirements
- Go (latest version checked: 1.14.3)

## Installation

```shell
$ go install git.qunn.eu/poesty/fedi-emoji-pack
```

After installation, an executable named `$GOBIN/fedi-emoji-pack` will be created. Make sure to add `$GOBIN` to your `$PATH`.

## Usage

- By default, an Emoji Pack will be created in the `tmp` directory.
```shell
$ fedi-emoji-pack example.com
Success: example.com
/tmp/example_com
```

- You can use the `-p` or `--path` option to specify a different destination for the Emoji Pack.
```shell
$ fedi-emoji-pack -p. example.com
Success: example.com
example_com
```

- Adding the `-s` or `--split` option will create Emoji Packs for each category.
```shell
$ fedi-emoji-pack -sp. example.com
Success: example.com
example_com/category1
example_com/category2
example_com/category3
```

### Help
Usage: fedi-emoji-pack [-hsv] [-p PATH] DOMAIN...

- `-h`, `--help`: Show the help message.
- `-p`, `--path=PATH`: Specify the emoji pack directory [/tmp].
- `-s`, `--split`: Split the emoji pack into categories.
- `-v`, `--version`: Show version information.

## License
This tool is licensed under the MIT License. Please refer to the [LICENSE](https://git.qunn.eu/poesty/fedi-emoji-pack/src/master/LICENSE) for more details.
